# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`keepalived`](#keepalived): Install and configure keepalived
* [`keepalived::config`](#keepalived--config): Configure keepalived module
* [`keepalived::global_defs`](#keepalived--global_defs): Manage keepalived notifictions
* [`keepalived::install`](#keepalived--install): Install keepalived package
* [`keepalived::service`](#keepalived--service): Manage keepalived service

### Defined types

#### Public Defined types

* [`keepalived::lvs::real_server`](#keepalived--lvs--real_server): Add a real server to a Linux Virtual Server with keepalived
* [`keepalived::lvs::virtual_server`](#keepalived--lvs--virtual_server): Configure a Linux Virtual Server with keepalived

Work in progress, supports:
  - single IP/port virtual servers
  - TCP_CHECK healthchecks
* [`keepalived::vrrp::instance`](#keepalived--vrrp--instance): Configure VRRP instance
* [`keepalived::vrrp::script`](#keepalived--vrrp--script): Configure VRRP script
* [`keepalived::vrrp::sync_group`](#keepalived--vrrp--sync_group): Configure the group for instance
* [`keepalived::vrrp::track_file`](#keepalived--vrrp--track_file): Configure the tracker file
* [`keepalived::vrrp::track_process`](#keepalived--vrrp--track_process): Configure the process tracker
* [`keepalived::vrrp::vrrp_track_file`](#keepalived--vrrp--vrrp_track_file): Configure the tracker file

#### Private Defined types

* `keepalived::vrrp::unicast_peer`: Define a unicast peer for a vrrp instance.

### Data types

* [`Keepalived::Options`](#Keepalived--Options): keepalived::options
* [`Keepalived::Vrrp::Instance::VRule`](#Keepalived--Vrrp--Instance--VRule): Translates directly to rules to be added as per `ip-rule(8)`

## Classes

### <a name="keepalived"></a>`keepalived`

Install and configure keepalived

#### Parameters

The following parameters are available in the `keepalived` class:

* [`sysconf_dir`](#-keepalived--sysconf_dir)
* [`sysconf_options`](#-keepalived--sysconf_options)
* [`config_dir`](#-keepalived--config_dir)
* [`config_dir_mode`](#-keepalived--config_dir_mode)
* [`config_file_mode`](#-keepalived--config_file_mode)
* [`config_group`](#-keepalived--config_group)
* [`config_owner`](#-keepalived--config_owner)
* [`daemon_group`](#-keepalived--daemon_group)
* [`daemon_user`](#-keepalived--daemon_user)
* [`pkg_ensure`](#-keepalived--pkg_ensure)
* [`pkg_list`](#-keepalived--pkg_list)
* [`service_enable`](#-keepalived--service_enable)
* [`service_ensure`](#-keepalived--service_ensure)
* [`service_hasrestart`](#-keepalived--service_hasrestart)
* [`service_hasstatus`](#-keepalived--service_hasstatus)
* [`service_manage`](#-keepalived--service_manage)
* [`service_name`](#-keepalived--service_name)
* [`service_restart`](#-keepalived--service_restart)
* [`vrrp_instance`](#-keepalived--vrrp_instance)
* [`vrrp_script`](#-keepalived--vrrp_script)
* [`vrrp_track_process`](#-keepalived--vrrp_track_process)
* [`vrrp_sync_group`](#-keepalived--vrrp_sync_group)
* [`lvs_real_server`](#-keepalived--lvs_real_server)
* [`lvs_virtual_server`](#-keepalived--lvs_virtual_server)
* [`include_external_conf_files`](#-keepalived--include_external_conf_files)
* [`manage_package`](#-keepalived--manage_package)

##### <a name="-keepalived--sysconf_dir"></a>`sysconf_dir`

Data type: `String[1]`



##### <a name="-keepalived--sysconf_options"></a>`sysconf_options`

Data type: `String`



##### <a name="-keepalived--config_dir"></a>`config_dir`

Data type: `Stdlib::Absolutepath`



Default value: `'/etc/keepalived'`

##### <a name="-keepalived--config_dir_mode"></a>`config_dir_mode`

Data type: `Stdlib::Filemode`



Default value: `'0755'`

##### <a name="-keepalived--config_file_mode"></a>`config_file_mode`

Data type: `Stdlib::Filemode`



Default value: `'0644'`

##### <a name="-keepalived--config_group"></a>`config_group`

Data type: `String[1]`



Default value: `'root'`

##### <a name="-keepalived--config_owner"></a>`config_owner`

Data type: `String[1]`



Default value: `'root'`

##### <a name="-keepalived--daemon_group"></a>`daemon_group`

Data type: `String[1]`



Default value: `'root'`

##### <a name="-keepalived--daemon_user"></a>`daemon_user`

Data type: `String[1]`



Default value: `'root'`

##### <a name="-keepalived--pkg_ensure"></a>`pkg_ensure`

Data type: `String[1]`



Default value: `'present'`

##### <a name="-keepalived--pkg_list"></a>`pkg_list`

Data type: `Array[String[1]]`



Default value: `['keepalived']`

##### <a name="-keepalived--service_enable"></a>`service_enable`

Data type: `Boolean`



Default value: `true`

##### <a name="-keepalived--service_ensure"></a>`service_ensure`

Data type: `Stdlib::Ensure::Service`



Default value: `'running'`

##### <a name="-keepalived--service_hasrestart"></a>`service_hasrestart`

Data type: `Boolean`



##### <a name="-keepalived--service_hasstatus"></a>`service_hasstatus`

Data type: `Boolean`



##### <a name="-keepalived--service_manage"></a>`service_manage`

Data type: `Boolean`



Default value: `true`

##### <a name="-keepalived--service_name"></a>`service_name`

Data type: `String[1]`



Default value: `'keepalived'`

##### <a name="-keepalived--service_restart"></a>`service_restart`

Data type: `Optional[String[1]]`



Default value: `undef`

##### <a name="-keepalived--vrrp_instance"></a>`vrrp_instance`

Data type: `Hash`



Default value: `{}`

##### <a name="-keepalived--vrrp_script"></a>`vrrp_script`

Data type: `Hash`



Default value: `{}`

##### <a name="-keepalived--vrrp_track_process"></a>`vrrp_track_process`

Data type: `Hash`



Default value: `{}`

##### <a name="-keepalived--vrrp_sync_group"></a>`vrrp_sync_group`

Data type: `Hash`



Default value: `{}`

##### <a name="-keepalived--lvs_real_server"></a>`lvs_real_server`

Data type: `Hash`



Default value: `{}`

##### <a name="-keepalived--lvs_virtual_server"></a>`lvs_virtual_server`

Data type: `Hash`



Default value: `{}`

##### <a name="-keepalived--include_external_conf_files"></a>`include_external_conf_files`

Data type: `Array[Stdlib::Absolutepath]`



Default value: `[]`

##### <a name="-keepalived--manage_package"></a>`manage_package`

Data type: `Boolean`



Default value: `true`

### <a name="keepalived--config"></a>`keepalived::config`

Configure keepalived module

### <a name="keepalived--global_defs"></a>`keepalived::global_defs`

Manage keepalived notifictions

#### Parameters

The following parameters are available in the `keepalived::global_defs` class:

* [`notification_email`](#-keepalived--global_defs--notification_email)
* [`notification_email_from`](#-keepalived--global_defs--notification_email_from)
* [`smtp_server`](#-keepalived--global_defs--smtp_server)
* [`smtp_connect_timeout`](#-keepalived--global_defs--smtp_connect_timeout)
* [`router_id`](#-keepalived--global_defs--router_id)
* [`script_user`](#-keepalived--global_defs--script_user)
* [`enable_script_security`](#-keepalived--global_defs--enable_script_security)
* [`snmp_socket`](#-keepalived--global_defs--snmp_socket)
* [`enable_snmp_keepalived`](#-keepalived--global_defs--enable_snmp_keepalived)
* [`enable_snmp_vrrp`](#-keepalived--global_defs--enable_snmp_vrrp)
* [`enable_snmp_checker`](#-keepalived--global_defs--enable_snmp_checker)
* [`enable_snmp_rfc`](#-keepalived--global_defs--enable_snmp_rfc)
* [`enable_snmp_rfcv2`](#-keepalived--global_defs--enable_snmp_rfcv2)
* [`enable_snmp_rfcv3`](#-keepalived--global_defs--enable_snmp_rfcv3)
* [`enable_traps`](#-keepalived--global_defs--enable_traps)
* [`enable_dbus`](#-keepalived--global_defs--enable_dbus)
* [`vrrp_higher_prio_send_advert`](#-keepalived--global_defs--vrrp_higher_prio_send_advert)
* [`vrrp_min_garp`](#-keepalived--global_defs--vrrp_min_garp)
* [`vrrp_garp_lower_prio_repeat`](#-keepalived--global_defs--vrrp_garp_lower_prio_repeat)
* [`vrrp_garp_master_delay`](#-keepalived--global_defs--vrrp_garp_master_delay)
* [`vrrp_garp_master_refresh`](#-keepalived--global_defs--vrrp_garp_master_refresh)
* [`vrrp_garp_master_repeat`](#-keepalived--global_defs--vrrp_garp_master_repeat)
* [`vrrp_garp_master_refresh_repeat`](#-keepalived--global_defs--vrrp_garp_master_refresh_repeat)
* [`vrrp_garp_lower_prio_delay`](#-keepalived--global_defs--vrrp_garp_lower_prio_delay)
* [`vrrp_startup_delay`](#-keepalived--global_defs--vrrp_startup_delay)
* [`bfd_rlimit_rttime`](#-keepalived--global_defs--bfd_rlimit_rttime)
* [`checker_rlimit_rttime`](#-keepalived--global_defs--checker_rlimit_rttime)
* [`vrrp_rlimit_rttime`](#-keepalived--global_defs--vrrp_rlimit_rttime)
* [`bfd_priority`](#-keepalived--global_defs--bfd_priority)
* [`checker_priority`](#-keepalived--global_defs--checker_priority)
* [`vrrp_priority`](#-keepalived--global_defs--vrrp_priority)
* [`bfd_rt_priority`](#-keepalived--global_defs--bfd_rt_priority)
* [`checker_rt_priority`](#-keepalived--global_defs--checker_rt_priority)
* [`vrrp_rt_priority`](#-keepalived--global_defs--vrrp_rt_priority)
* [`bfd_no_swap`](#-keepalived--global_defs--bfd_no_swap)
* [`checker_no_swap`](#-keepalived--global_defs--checker_no_swap)
* [`vrrp_no_swap`](#-keepalived--global_defs--vrrp_no_swap)
* [`vrrp_check_unicast_src`](#-keepalived--global_defs--vrrp_check_unicast_src)
* [`vrrp_version`](#-keepalived--global_defs--vrrp_version)
* [`max_auto_priority`](#-keepalived--global_defs--max_auto_priority)
* [`dynamic_interfaces`](#-keepalived--global_defs--dynamic_interfaces)
* [`vrrp_notify_fifo`](#-keepalived--global_defs--vrrp_notify_fifo)
* [`vrrp_notify_fifo_script`](#-keepalived--global_defs--vrrp_notify_fifo_script)

##### <a name="-keepalived--global_defs--notification_email"></a>`notification_email`

Data type: `Any`

Array of notification email Recipients.

Default value: `undef`

##### <a name="-keepalived--global_defs--notification_email_from"></a>`notification_email_from`

Data type: `Any`

Define the notification email Sender.

Default value: `undef`

##### <a name="-keepalived--global_defs--smtp_server"></a>`smtp_server`

Data type: `Any`

Define the smtp server addres.

Default value: `undef`

##### <a name="-keepalived--global_defs--smtp_connect_timeout"></a>`smtp_connect_timeout`

Data type: `Any`

Define the smtp connect timeout.

Default value: `undef`

##### <a name="-keepalived--global_defs--router_id"></a>`router_id`

Data type: `Any`

Define the router ID.

Default value: `undef`

##### <a name="-keepalived--global_defs--script_user"></a>`script_user`

Data type: `Any`

Set the global script_user option.

Default value: `undef`

##### <a name="-keepalived--global_defs--enable_script_security"></a>`enable_script_security`

Data type: `Any`

Set the enable_script_security option.

Default value: `undef`

##### <a name="-keepalived--global_defs--snmp_socket"></a>`snmp_socket`

Data type: `Any`

Define snmp master agent socker

Default value: `'unix:/var/agentx/master'`

##### <a name="-keepalived--global_defs--enable_snmp_keepalived"></a>`enable_snmp_keepalived`

Data type: `Any`

Set enable_snmp_keepalived option.

Default value: `undef`

##### <a name="-keepalived--global_defs--enable_snmp_vrrp"></a>`enable_snmp_vrrp`

Data type: `Any`

Set enable_snmp_vrrp option.

Default value: `undef`

##### <a name="-keepalived--global_defs--enable_snmp_checker"></a>`enable_snmp_checker`

Data type: `Any`

Set enable_snmp_checker option

Default value: `undef`

##### <a name="-keepalived--global_defs--enable_snmp_rfc"></a>`enable_snmp_rfc`

Data type: `Any`

Set enable_snmp_rfc option.

Default value: `undef`

##### <a name="-keepalived--global_defs--enable_snmp_rfcv2"></a>`enable_snmp_rfcv2`

Data type: `Any`

Set enable_snmp_rfcv2 option.

Default value: `undef`

##### <a name="-keepalived--global_defs--enable_snmp_rfcv3"></a>`enable_snmp_rfcv3`

Data type: `Any`

Set enable_snmp_rfcv3 option.

Default value: `undef`

##### <a name="-keepalived--global_defs--enable_traps"></a>`enable_traps`

Data type: `Any`

Set enable_traps option.

Default value: `undef`

##### <a name="-keepalived--global_defs--enable_dbus"></a>`enable_dbus`

Data type: `Boolean`

Set enable_dbus option

Default value: `false`

##### <a name="-keepalived--global_defs--vrrp_higher_prio_send_advert"></a>`vrrp_higher_prio_send_advert`

Data type: `Optional[Boolean]`

Set vrrp_higher_prio_send_advert option.

Default value: `undef`

##### <a name="-keepalived--global_defs--vrrp_min_garp"></a>`vrrp_min_garp`

Data type: `Optional[Boolean]`

Set vrrp_min_garp option.

Default value: `undef`

##### <a name="-keepalived--global_defs--vrrp_garp_lower_prio_repeat"></a>`vrrp_garp_lower_prio_repeat`

Data type: `Optional[Integer]`

Set vrrp_garp_lower_prio_repeat option.

Default value: `undef`

##### <a name="-keepalived--global_defs--vrrp_garp_master_delay"></a>`vrrp_garp_master_delay`

Data type: `Optional[Integer]`

Set vrrp_garp_master_delay option

Default value: `undef`

##### <a name="-keepalived--global_defs--vrrp_garp_master_refresh"></a>`vrrp_garp_master_refresh`

Data type: `Optional[Integer]`

Set vrrp_garp_master_refresh option.

Default value: `undef`

##### <a name="-keepalived--global_defs--vrrp_garp_master_repeat"></a>`vrrp_garp_master_repeat`

Data type: `Optional[Integer]`

Set vrrp_garp_master_repeat option

Default value: `undef`

##### <a name="-keepalived--global_defs--vrrp_garp_master_refresh_repeat"></a>`vrrp_garp_master_refresh_repeat`

Data type: `Optional[Integer]`

Set vrrp_garp_master_refresh_repeat option

Default value: `undef`

##### <a name="-keepalived--global_defs--vrrp_garp_lower_prio_delay"></a>`vrrp_garp_lower_prio_delay`

Data type: `Optional[Integer]`

Set vrrp_garp_lower_prio_delay option.

Default value: `undef`

##### <a name="-keepalived--global_defs--vrrp_startup_delay"></a>`vrrp_startup_delay`

Data type: `Optional[Float]`

Set vrrp_startup_delay option.

Default value: `undef`

##### <a name="-keepalived--global_defs--bfd_rlimit_rttime"></a>`bfd_rlimit_rttime`

Data type: `Optional[Integer]`

Set bfd_rlimit_rttime option.

Default value: `undef`

##### <a name="-keepalived--global_defs--checker_rlimit_rttime"></a>`checker_rlimit_rttime`

Data type: `Optional[Integer]`

Set checker_rlimit_rttime option.

Default value: `undef`

##### <a name="-keepalived--global_defs--vrrp_rlimit_rttime"></a>`vrrp_rlimit_rttime`

Data type: `Optional[Integer]`

Set vrrp_rlimit_rttime option.

Default value: `undef`

##### <a name="-keepalived--global_defs--bfd_priority"></a>`bfd_priority`

Data type: `Optional[Integer[-20, 19]]`

Set bfd_priority option.

Default value: `undef`

##### <a name="-keepalived--global_defs--checker_priority"></a>`checker_priority`

Data type: `Optional[Integer[-20, 19]]`

Set checker_priority option.

Default value: `undef`

##### <a name="-keepalived--global_defs--vrrp_priority"></a>`vrrp_priority`

Data type: `Optional[Integer[-20, 19]]`

Set vrrp_priority option.

Default value: `undef`

##### <a name="-keepalived--global_defs--bfd_rt_priority"></a>`bfd_rt_priority`

Data type: `Optional[Integer[1, 99]]`

Set bfd_rt_priority option.

Default value: `undef`

##### <a name="-keepalived--global_defs--checker_rt_priority"></a>`checker_rt_priority`

Data type: `Optional[Integer[1, 99]]`

Set checker_rt_priority option.

Default value: `undef`

##### <a name="-keepalived--global_defs--vrrp_rt_priority"></a>`vrrp_rt_priority`

Data type: `Optional[Integer[1, 99]]`

Set vrrp_rt_priority option.

Default value: `undef`

##### <a name="-keepalived--global_defs--bfd_no_swap"></a>`bfd_no_swap`

Data type: `Boolean`

Set bfd_no_swap option.

Default value: `false`

##### <a name="-keepalived--global_defs--checker_no_swap"></a>`checker_no_swap`

Data type: `Boolean`

Set checker_no_swap option.

Default value: `false`

##### <a name="-keepalived--global_defs--vrrp_no_swap"></a>`vrrp_no_swap`

Data type: `Boolean`

Set vrrp_no_swap option.

Default value: `false`

##### <a name="-keepalived--global_defs--vrrp_check_unicast_src"></a>`vrrp_check_unicast_src`

Data type: `Boolean`

Set vrrp_check_unicast_src option.

Default value: `false`

##### <a name="-keepalived--global_defs--vrrp_version"></a>`vrrp_version`

Data type: `Optional[Integer[2, 3]]`

Set vrrp_version option.

Default value: `undef`

##### <a name="-keepalived--global_defs--max_auto_priority"></a>`max_auto_priority`

Data type: `Optional[Integer[-1, 99]]`

Set max_auto_priority option.

Default value: `undef`

##### <a name="-keepalived--global_defs--dynamic_interfaces"></a>`dynamic_interfaces`

Data type: `Boolean`

Set the dynamic_interfaces option.

Default value: `false`

##### <a name="-keepalived--global_defs--vrrp_notify_fifo"></a>`vrrp_notify_fifo`

Data type: `Optional[Stdlib::Absolutepath]`

Set the vrrp_notify_fifo option.

Default value: `undef`

##### <a name="-keepalived--global_defs--vrrp_notify_fifo_script"></a>`vrrp_notify_fifo_script`

Data type: `Optional[Stdlib::Absolutepath]`

Set the vrrp_notify_fifo_script option.

Default value: `undef`

### <a name="keepalived--install"></a>`keepalived::install`

Install keepalived package

### <a name="keepalived--service"></a>`keepalived::service`

Manage keepalived service

## Defined types

### <a name="keepalived--lvs--real_server"></a>`keepalived::lvs::real_server`

Add a real server to a Linux Virtual Server with keepalived

#### Parameters

The following parameters are available in the `keepalived::lvs::real_server` defined type:

* [`virtual_server`](#-keepalived--lvs--real_server--virtual_server)
* [`ip_address`](#-keepalived--lvs--real_server--ip_address)
* [`port`](#-keepalived--lvs--real_server--port)
* [`options`](#-keepalived--lvs--real_server--options)

##### <a name="-keepalived--lvs--real_server--virtual_server"></a>`virtual_server`

Data type: `String[1]`

The name of the virtual server this real server will be added to

##### <a name="-keepalived--lvs--real_server--ip_address"></a>`ip_address`

Data type: `Stdlib::IP::Address`

The ip address of the real server

##### <a name="-keepalived--lvs--real_server--port"></a>`port`

Data type: `Stdlib::Port`

Real sever IP port.  (if ommitted the port defaults to the VIP port)

##### <a name="-keepalived--lvs--real_server--options"></a>`options`

Data type: `Keepalived::Options`

One or more options to include in the real_server block

@example
  options => {
    inhibit_on_failure => true,
    SMTP_CHECK => {
      connect_timeout => 10
      host => {
        connect_ip => '127.0.0.1'
      }
    }
  }

Default value: `{}`

### <a name="keepalived--lvs--virtual_server"></a>`keepalived::lvs::virtual_server`

Configure a Linux Virtual Server with keepalived

Work in progress, supports:
  - single IP/port virtual servers
  - TCP_CHECK healthchecks

#### Examples

##### 

```puppet
real_server_options => {
  inhibit_on_failure => true,
  SMTP_CHECK => {
    connect_timeout => 10
    host => {
      connect_ip => '127.0.0.1'
    }
  }
}
```

#### Parameters

The following parameters are available in the `keepalived::lvs::virtual_server` defined type:

* [`ip_address`](#-keepalived--lvs--virtual_server--ip_address)
* [`port`](#-keepalived--lvs--virtual_server--port)
* [`fwmark`](#-keepalived--lvs--virtual_server--fwmark)
* [`lb_algo`](#-keepalived--lvs--virtual_server--lb_algo)
* [`delay_loop`](#-keepalived--lvs--virtual_server--delay_loop)
* [`protocol`](#-keepalived--lvs--virtual_server--protocol)
* [`lb_kind`](#-keepalived--lvs--virtual_server--lb_kind)
* [`ha_suspend`](#-keepalived--lvs--virtual_server--ha_suspend)
* [`alpha`](#-keepalived--lvs--virtual_server--alpha)
* [`omega`](#-keepalived--lvs--virtual_server--omega)
* [`mh_port`](#-keepalived--lvs--virtual_server--mh_port)
* [`mh_fallback`](#-keepalived--lvs--virtual_server--mh_fallback)
* [`sh_port`](#-keepalived--lvs--virtual_server--sh_port)
* [`sh_fallback`](#-keepalived--lvs--virtual_server--sh_fallback)
* [`quorum`](#-keepalived--lvs--virtual_server--quorum)
* [`quorum_up`](#-keepalived--lvs--virtual_server--quorum_up)
* [`quorum_down`](#-keepalived--lvs--virtual_server--quorum_down)
* [`hysteresis`](#-keepalived--lvs--virtual_server--hysteresis)
* [`tcp_check`](#-keepalived--lvs--virtual_server--tcp_check)
* [`real_server_options`](#-keepalived--lvs--virtual_server--real_server_options)
* [`sorry_server`](#-keepalived--lvs--virtual_server--sorry_server)
* [`sorry_server_inhibit`](#-keepalived--lvs--virtual_server--sorry_server_inhibit)
* [`persistence_timeout`](#-keepalived--lvs--virtual_server--persistence_timeout)
* [`virtualhost`](#-keepalived--lvs--virtual_server--virtualhost)
* [`real_servers`](#-keepalived--lvs--virtual_server--real_servers)
* [`collect_exported`](#-keepalived--lvs--virtual_server--collect_exported)

##### <a name="-keepalived--lvs--virtual_server--ip_address"></a>`ip_address`

Data type: `Optional[Stdlib::IP::Address]`

Virtual server IP address.

Default value: `undef`

##### <a name="-keepalived--lvs--virtual_server--port"></a>`port`

Data type: `Optional[Stdlib::Port]`

Virtual sever IP port.

Default value: `undef`

##### <a name="-keepalived--lvs--virtual_server--fwmark"></a>`fwmark`

Data type: `Optional[Integer[1]]`

Virtual Server firewall mark. (overrides ip_address and port)

Default value: `undef`

##### <a name="-keepalived--lvs--virtual_server--lb_algo"></a>`lb_algo`

Data type: `Enum['rr','wrr','lc','wlc','lblc','sh','dh', 'mh']`

Must be one of rr, wrr, lc, wlc, lblc, sh, mh, dh

##### <a name="-keepalived--lvs--virtual_server--delay_loop"></a>`delay_loop`

Data type: `Optional[Integer[1]]`



Default value: `undef`

##### <a name="-keepalived--lvs--virtual_server--protocol"></a>`protocol`

Data type: `Enum['TCP','UDP']`



Default value: `'TCP'`

##### <a name="-keepalived--lvs--virtual_server--lb_kind"></a>`lb_kind`

Data type: `Enum['NAT','DR','TUN']`

Must be one of NAT, TUN, DR.

Default value: `'NAT'`

##### <a name="-keepalived--lvs--virtual_server--ha_suspend"></a>`ha_suspend`

Data type: `Boolean`



Default value: `false`

##### <a name="-keepalived--lvs--virtual_server--alpha"></a>`alpha`

Data type: `Boolean`



Default value: `false`

##### <a name="-keepalived--lvs--virtual_server--omega"></a>`omega`

Data type: `Boolean`



Default value: `false`

##### <a name="-keepalived--lvs--virtual_server--mh_port"></a>`mh_port`

Data type: `Boolean`

Enable mh-port for mh scheduler

Default value: `false`

##### <a name="-keepalived--lvs--virtual_server--mh_fallback"></a>`mh_fallback`

Data type: `Boolean`

Enable mh-fallback for mh scheduler

Default value: `false`

##### <a name="-keepalived--lvs--virtual_server--sh_port"></a>`sh_port`

Data type: `Boolean`

Enable sh-port for sh scheduler

Default value: `false`

##### <a name="-keepalived--lvs--virtual_server--sh_fallback"></a>`sh_fallback`

Data type: `Boolean`

Enable sh-fallback for sh scheduler

Default value: `false`

##### <a name="-keepalived--lvs--virtual_server--quorum"></a>`quorum`

Data type: `Optional[Integer[1]]`



Default value: `undef`

##### <a name="-keepalived--lvs--virtual_server--quorum_up"></a>`quorum_up`

Data type: `Optional[String[1]]`



Default value: `undef`

##### <a name="-keepalived--lvs--virtual_server--quorum_down"></a>`quorum_down`

Data type: `Optional[String[1]]`



Default value: `undef`

##### <a name="-keepalived--lvs--virtual_server--hysteresis"></a>`hysteresis`

Data type: `Optional[Integer[0]]`



Default value: `undef`

##### <a name="-keepalived--lvs--virtual_server--tcp_check"></a>`tcp_check`

Data type: `Optional[Hash]`

The TCP_CHECK to configure for real_servers.

Default value: `undef`

##### <a name="-keepalived--lvs--virtual_server--real_server_options"></a>`real_server_options`

Data type: `Hash`

One or more options to apply to all real_server blocks inside this virtual_server.

Default value: `{}`

##### <a name="-keepalived--lvs--virtual_server--sorry_server"></a>`sorry_server`

Data type: `Optional[Struct[{ ip_address => Stdlib::IP::Address, port => Stdlib::Port }]]`

The sorry_server to define

Default value: `undef`

##### <a name="-keepalived--lvs--virtual_server--sorry_server_inhibit"></a>`sorry_server_inhibit`

Data type: `Boolean`



Default value: `false`

##### <a name="-keepalived--lvs--virtual_server--persistence_timeout"></a>`persistence_timeout`

Data type: `Optional[Integer[1]]`



Default value: `undef`

##### <a name="-keepalived--lvs--virtual_server--virtualhost"></a>`virtualhost`

Data type: `Optional[Stdlib::Fqdn]`



Default value: `undef`

##### <a name="-keepalived--lvs--virtual_server--real_servers"></a>`real_servers`

Data type: `Array[Hash]`

The real servers to balance to.

Default value: `[]`

##### <a name="-keepalived--lvs--virtual_server--collect_exported"></a>`collect_exported`

Data type: `Boolean`

Boolean. Automatically collect exported @@keepalived::lvs::real_servers
with a virtual_server equal to the name/title of this resource. This allows
you to easily export a real_server resource on each node in the pool.

Default value: `true`

### <a name="keepalived--vrrp--instance"></a>`keepalived::vrrp::instance`

Configure VRRP instance

#### Examples

##### 

```puppet
May be specified as either:
a) ip address (or array of IP addresses)
   e.g. `'10.0.0.1'`
b) a hash (or array of hashes) containing
   extra properties
   e.g. `{ 'ip' => '10.0.0.1', 'label' => 'webvip' }`
   Supported properties: dev, brd, label, scope.
```

##### 

```puppet
May be specified as a hash (or array of hashes)
  containing extra properties
    e.g. `{ 'src' => '10.0.0.1',
            'to' => '192.168.30.0/24',
            'via' => '10.0.0.254',
            'metric' => '15' }`
Supported properties: src, to, via, dev, scope, table, metric
```

##### 

```puppet
May be specified as a hash (or array of hashes)
   containing extra properties
   e.g. `{ 'from' => '10.0.0.1',
           'via' => '10.0.0.254',
           'lookup' => 'customroute',
           'metric' => '15' }`
   Supported properties: from, to, dev, lookup, metric
```

##### 

```puppet
May be specified as either:
a) ip address (or array of IP addresses)
   e.g. `'10.0.0.1'`
b) a hash (or array of hashes) containing
   extra properties
e.g. `{ 'ip'=>'10.0.0.1', 'scope'=>'local' }`
Supported properties: dev, brd, label, scope.
```

#### Parameters

The following parameters are available in the `keepalived::vrrp::instance` defined type:

* [`interface`](#-keepalived--vrrp--instance--interface)
* [`priority`](#-keepalived--vrrp--instance--priority)
* [`state`](#-keepalived--vrrp--instance--state)
* [`virtual_ipaddress_int`](#-keepalived--vrrp--instance--virtual_ipaddress_int)
* [`virtual_ipaddress`](#-keepalived--vrrp--instance--virtual_ipaddress)
* [`promote_secondaries`](#-keepalived--vrrp--instance--promote_secondaries)
* [`virtual_routes`](#-keepalived--vrrp--instance--virtual_routes)
* [`virtual_rules`](#-keepalived--vrrp--instance--virtual_rules)
* [`virtual_ipaddress_excluded`](#-keepalived--vrrp--instance--virtual_ipaddress_excluded)
* [`virtual_router_id`](#-keepalived--vrrp--instance--virtual_router_id)
* [`auth_type`](#-keepalived--vrrp--instance--auth_type)
* [`auth_pass`](#-keepalived--vrrp--instance--auth_pass)
* [`track_script`](#-keepalived--vrrp--instance--track_script)
* [`track_process`](#-keepalived--vrrp--instance--track_process)
* [`track_file`](#-keepalived--vrrp--instance--track_file)
* [`vrrp_track_file`](#-keepalived--vrrp--instance--vrrp_track_file)
* [`track_interface`](#-keepalived--vrrp--instance--track_interface)
* [`lvs_interface`](#-keepalived--vrrp--instance--lvs_interface)
* [`smtp_alert`](#-keepalived--vrrp--instance--smtp_alert)
* [`nopreempt`](#-keepalived--vrrp--instance--nopreempt)
* [`preempt_delay`](#-keepalived--vrrp--instance--preempt_delay)
* [`advert_int`](#-keepalived--vrrp--instance--advert_int)
* [`garp_master_delay`](#-keepalived--vrrp--instance--garp_master_delay)
* [`garp_master_refresh`](#-keepalived--vrrp--instance--garp_master_refresh)
* [`notify_script_master`](#-keepalived--vrrp--instance--notify_script_master)
* [`notify_script_backup`](#-keepalived--vrrp--instance--notify_script_backup)
* [`notify_script_fault`](#-keepalived--vrrp--instance--notify_script_fault)
* [`notify_script_stop`](#-keepalived--vrrp--instance--notify_script_stop)
* [`notify_script`](#-keepalived--vrrp--instance--notify_script)
* [`multicast_source_ip`](#-keepalived--vrrp--instance--multicast_source_ip)
* [`notify_script_master_rx_lower_pri`](#-keepalived--vrrp--instance--notify_script_master_rx_lower_pri)
* [`unicast_source_ip`](#-keepalived--vrrp--instance--unicast_source_ip)
* [`unicast_peers`](#-keepalived--vrrp--instance--unicast_peers)
* [`dont_track_primary`](#-keepalived--vrrp--instance--dont_track_primary)
* [`use_vmac`](#-keepalived--vrrp--instance--use_vmac)
* [`vmac_xmit_base`](#-keepalived--vrrp--instance--vmac_xmit_base)
* [`use_vmac_addr`](#-keepalived--vrrp--instance--use_vmac_addr)
* [`native_ipv6`](#-keepalived--vrrp--instance--native_ipv6)
* [`garp_lower_prio_repeat`](#-keepalived--vrrp--instance--garp_lower_prio_repeat)
* [`higher_prio_send_advert`](#-keepalived--vrrp--instance--higher_prio_send_advert)
* [`collect_unicast_peers`](#-keepalived--vrrp--instance--collect_unicast_peers)

##### <a name="-keepalived--vrrp--instance--interface"></a>`interface`

Data type: `Any`

Define which interface to listen on.

##### <a name="-keepalived--vrrp--instance--priority"></a>`priority`

Data type: `Integer[1,254]`

Set instance priority.

##### <a name="-keepalived--vrrp--instance--state"></a>`state`

Data type: `Any`

Set instance state.

##### <a name="-keepalived--vrrp--instance--virtual_ipaddress_int"></a>`virtual_ipaddress_int`

Data type: `Any`

Set interface for VIP to be assigned to,

Default value: `undef`

##### <a name="-keepalived--vrrp--instance--virtual_ipaddress"></a>`virtual_ipaddress`

Data type: `Any`

Set floating IP address.

Default value: `undef`

##### <a name="-keepalived--vrrp--instance--promote_secondaries"></a>`promote_secondaries`

Data type: `Boolean`

Set the promote_secondaries flag on the interface to stop other
addresses in the same CIDR being removed when 1 of them is removed
For example if 10.1.1.2/24 and 10.1.1.3/24 are both configured on an
interface, and one is removed, unless promote_secondaries is set on
the interface the other address will also be removed.

Default value: `false`

##### <a name="-keepalived--vrrp--instance--virtual_routes"></a>`virtual_routes`

Data type: `Any`

Set floating routes.

Default value: `undef`

##### <a name="-keepalived--vrrp--instance--virtual_rules"></a>`virtual_rules`

Data type: `Optional[Array[Keepalived::Vrrp::Instance::VRule]]`

Set floating rules.

Default value: `undef`

##### <a name="-keepalived--vrrp--instance--virtual_ipaddress_excluded"></a>`virtual_ipaddress_excluded`

Data type: `Any`

For cases with large numbers (eg 200) of IPs
on the same interface. To decrease the number
of packets sent in adverts, you can exclude
most IPs from adverts.

Default value: `undef`

##### <a name="-keepalived--vrrp--instance--virtual_router_id"></a>`virtual_router_id`

Data type: `Integer[1,255]`

Set virtual router id.

##### <a name="-keepalived--vrrp--instance--auth_type"></a>`auth_type`

Data type: `Any`

Set authentication method.

Default value: `undef`

##### <a name="-keepalived--vrrp--instance--auth_pass"></a>`auth_pass`

Data type: `Optional[Variant[String, Sensitive[String]]]`

Authentication password.

Default value: `undef`

##### <a name="-keepalived--vrrp--instance--track_script"></a>`track_script`

Data type: `Variant[Array[String[1]],String[1]]`

Define which script to run to track service states.

Default value: `[]`

##### <a name="-keepalived--vrrp--instance--track_process"></a>`track_process`

Data type: `Array[String[1]]`

Define which process trackers to run.

Default value: `[]`

##### <a name="-keepalived--vrrp--instance--track_file"></a>`track_file`

Data type: `Array[String[1]]`

Define which file trackers to run. References a track_file block that can be created with keepalived::vrrp::track_file.

Default value: `[]`

##### <a name="-keepalived--vrrp--instance--vrrp_track_file"></a>`vrrp_track_file`

Data type: `Array[String[1]]`

Define which file trackers to run. Deprecated, for keepalived < 2.1.0. References a vrrp_track_file block that can be created with keepalived::vrrp::vrrp_track_file.

Default value: `[]`

##### <a name="-keepalived--vrrp--instance--track_interface"></a>`track_interface`

Data type: `Any`

Define which interface(s) to monitor.
Go to FAULT state if one of
these interfaces goes down.
May be specified as either:
  a) interface name
  b) array of interfaces names

Default value: `undef`

##### <a name="-keepalived--vrrp--instance--lvs_interface"></a>`lvs_interface`

Data type: `Any`

Define lvs_sync_daemon_interface.

Default value: `undef`

##### <a name="-keepalived--vrrp--instance--smtp_alert"></a>`smtp_alert`

Data type: `Any`

Send status alerts via SMTP. Requires user provided
in SMTP settings in keepalived::global_defs class.

Default value: `false`

##### <a name="-keepalived--vrrp--instance--nopreempt"></a>`nopreempt`

Data type: `Any`

Allows the lower priority machine to maintain
the master role, when a higher priority machine
comes back online.
NOTE: For this to work, the initial state of this
entry must be BACKUP

Default value: `false`

##### <a name="-keepalived--vrrp--instance--preempt_delay"></a>`preempt_delay`

Data type: `Any`

Seconds after startup until preemption
Range: 0 to 1,000
NOTE: For this to work, the initial state of this
entry must be BACKUP

Default value: `undef`

##### <a name="-keepalived--vrrp--instance--advert_int"></a>`advert_int`

Data type: `Any`

The interval between VRRP packets

Default value: `1`

##### <a name="-keepalived--vrrp--instance--garp_master_delay"></a>`garp_master_delay`

Data type: `Any`

The delay for gratuitous ARP after transition
to MASTER

Default value: `5`

##### <a name="-keepalived--vrrp--instance--garp_master_refresh"></a>`garp_master_refresh`

Data type: `Any`

Repeat gratuitous ARP after transition to MASTER
this often.

Default value: `undef`

##### <a name="-keepalived--vrrp--instance--notify_script_master"></a>`notify_script_master`

Data type: `Any`

Define the notify master script.

Default value: `undef`

##### <a name="-keepalived--vrrp--instance--notify_script_backup"></a>`notify_script_backup`

Data type: `Any`

Define the notify backup script.

Default value: `undef`

##### <a name="-keepalived--vrrp--instance--notify_script_fault"></a>`notify_script_fault`

Data type: `Any`

Define the notify fault script.

Default value: `undef`

##### <a name="-keepalived--vrrp--instance--notify_script_stop"></a>`notify_script_stop`

Data type: `Any`

Define the notify stop script.

Default value: `undef`

##### <a name="-keepalived--vrrp--instance--notify_script"></a>`notify_script`

Data type: `Any`

Define the notify script.

Default value: `undef`

##### <a name="-keepalived--vrrp--instance--multicast_source_ip"></a>`multicast_source_ip`

Data type: `Any`

default IP for binding vrrpd is the primary IP
on interface. If you want to hide the location of vrrpd,
use this IP as src_addr for multicast vrrp packets.

Default value: `undef`

##### <a name="-keepalived--vrrp--instance--notify_script_master_rx_lower_pri"></a>`notify_script_master_rx_lower_pri`

Data type: `Optional[Stdlib::Absolutepath]`

Define the notify_master_rx_lower_pri script.
This is executed if a master receives an advert with
priority lower than the master's advert.

Default value: `undef`

##### <a name="-keepalived--vrrp--instance--unicast_source_ip"></a>`unicast_source_ip`

Data type: `Optional[Stdlib::IP::Address]`

default IP for binding vrrpd is the primary IP
on interface. If you want to hide the location of vrrpd,
use this IP as src_addr for unicast vrrp packets.

Default value: `undef`

##### <a name="-keepalived--vrrp--instance--unicast_peers"></a>`unicast_peers`

Data type: `Variant[Array[Stdlib::IP::Address], Stdlib::IP::Address]`

Do not send VRRP adverts over VRRP multicast group.
Instead send adverts to the list of ip addresses using
a unicast design fashion.

May be specified as an array with ip addresses

Default value: `[]`

##### <a name="-keepalived--vrrp--instance--dont_track_primary"></a>`dont_track_primary`

Data type: `Any`

Tells keepalived to ignore VRRP interface faults.
Can be useful on setup where two routers are
connected directly to each other on the interface
used for VRRP. Without this feature the link down
caused by one router crashing would also inspire
the other router to lose (or not gain) MASTER state,
since it was also tracking link status.
Default: false.

Default value: `false`

##### <a name="-keepalived--vrrp--instance--use_vmac"></a>`use_vmac`

Data type: `Any`

Use virtual MAC address for VRRP packages.

Default value: `false`

##### <a name="-keepalived--vrrp--instance--vmac_xmit_base"></a>`vmac_xmit_base`

Data type: `Any`

When using virtual MAC addresses transmit and receive
VRRP messaged on the underlying interface whilst ARP
will happen from the the VMAC interface.

Default value: `true`

##### <a name="-keepalived--vrrp--instance--use_vmac_addr"></a>`use_vmac_addr`

Data type: `Boolean`

Use virtual MAC address for virtual IP addresses.

Default value: `false`

##### <a name="-keepalived--vrrp--instance--native_ipv6"></a>`native_ipv6`

Data type: `Boolean`

Force instance to use IPv6 (when mixed IPv4 and IPv6 config)

Default value: `false`

##### <a name="-keepalived--vrrp--instance--garp_lower_prio_repeat"></a>`garp_lower_prio_repeat`

Data type: `Optional[Integer]`



Default value: `undef`

##### <a name="-keepalived--vrrp--instance--higher_prio_send_advert"></a>`higher_prio_send_advert`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-keepalived--vrrp--instance--collect_unicast_peers"></a>`collect_unicast_peers`

Data type: `Boolean`



Default value: `false`

### <a name="keepalived--vrrp--script"></a>`keepalived::vrrp::script`

Configure VRRP script

#### Parameters

The following parameters are available in the `keepalived::vrrp::script` defined type:

* [`interval`](#-keepalived--vrrp--script--interval)
* [`script`](#-keepalived--vrrp--script--script)
* [`weight`](#-keepalived--vrrp--script--weight)
* [`fall`](#-keepalived--vrrp--script--fall)
* [`rise`](#-keepalived--vrrp--script--rise)
* [`timeout`](#-keepalived--vrrp--script--timeout)
* [`user`](#-keepalived--vrrp--script--user)
* [`group`](#-keepalived--vrrp--script--group)
* [`no_weight`](#-keepalived--vrrp--script--no_weight)
* [`init_fail`](#-keepalived--vrrp--script--init_fail)

##### <a name="-keepalived--vrrp--script--interval"></a>`interval`

Data type: `Any`

Set the interval to run the vrrp script.

Default value: `'2'`

##### <a name="-keepalived--vrrp--script--script"></a>`script`

Data type: `String[1]`

Which command or script to execute.

##### <a name="-keepalived--vrrp--script--weight"></a>`weight`

Data type: `Any`

The weight the script should add to the instance.

Default value: `undef`

##### <a name="-keepalived--vrrp--script--fall"></a>`fall`

Data type: `Any`

required number of failures for KO switch.

Default value: `undef`

##### <a name="-keepalived--vrrp--script--rise"></a>`rise`

Data type: `Any`

required number of successes for OK switch.

Default value: `undef`

##### <a name="-keepalived--vrrp--script--timeout"></a>`timeout`

Data type: `Any`

max time to wait for the vrrp script to return.

Default value: `undef`

##### <a name="-keepalived--vrrp--script--user"></a>`user`

Data type: `Any`

user to run the vrrp script under.

Default value: `undef`

##### <a name="-keepalived--vrrp--script--group"></a>`group`

Data type: `Any`

group to run the vrrp script under - only used if $user is also set.

Default value: `undef`

##### <a name="-keepalived--vrrp--script--no_weight"></a>`no_weight`

Data type: `Any`



Default value: `false`

##### <a name="-keepalived--vrrp--script--init_fail"></a>`init_fail`

Data type: `Any`

assume script initially is in failed state if true.

Default value: `false`

### <a name="keepalived--vrrp--sync_group"></a>`keepalived::vrrp::sync_group`

Configure the group for instance

#### Parameters

The following parameters are available in the `keepalived::vrrp::sync_group` defined type:

* [`group`](#-keepalived--vrrp--sync_group--group)
* [`notify_script_master`](#-keepalived--vrrp--sync_group--notify_script_master)
* [`track_script`](#-keepalived--vrrp--sync_group--track_script)
* [`track_process`](#-keepalived--vrrp--sync_group--track_process)
* [`notify_script_backup`](#-keepalived--vrrp--sync_group--notify_script_backup)
* [`notify_script_fault`](#-keepalived--vrrp--sync_group--notify_script_fault)
* [`notify_script`](#-keepalived--vrrp--sync_group--notify_script)
* [`notify_script_master_rx_lower_pri`](#-keepalived--vrrp--sync_group--notify_script_master_rx_lower_pri)
* [`smtp_alert`](#-keepalived--vrrp--sync_group--smtp_alert)
* [`nopreempt`](#-keepalived--vrrp--sync_group--nopreempt)
* [`global_tracking`](#-keepalived--vrrp--sync_group--global_tracking)
* [`track_interface`](#-keepalived--vrrp--sync_group--track_interface)

##### <a name="-keepalived--vrrp--sync_group--group"></a>`group`

Data type: `Any`

Define vrrp instances to group (Array)

##### <a name="-keepalived--vrrp--sync_group--notify_script_master"></a>`notify_script_master`

Data type: `Any`

Define the notify master script.

Default value: `undef`

##### <a name="-keepalived--vrrp--sync_group--track_script"></a>`track_script`

Data type: `Array[String]`

Define which script to run to track service states.

Default value: `[]`

##### <a name="-keepalived--vrrp--sync_group--track_process"></a>`track_process`

Data type: `Array[String]`

Define which process check to run to track processes.

Default value: `[]`

##### <a name="-keepalived--vrrp--sync_group--notify_script_backup"></a>`notify_script_backup`

Data type: `Any`

Define the notify backup script.

Default value: `undef`

##### <a name="-keepalived--vrrp--sync_group--notify_script_fault"></a>`notify_script_fault`

Data type: `Any`

Define the notify fault script.

Default value: `undef`

##### <a name="-keepalived--vrrp--sync_group--notify_script"></a>`notify_script`

Data type: `Any`

Define the notify script.

Default value: `undef`

##### <a name="-keepalived--vrrp--sync_group--notify_script_master_rx_lower_pri"></a>`notify_script_master_rx_lower_pri`

Data type: `Optional[Stdlib::Absolutepath]`

Define the notify_master_rx_lower_pri script.
This is executed if a master receives an advert with
priority lower than the master's advert.

Default value: `undef`

##### <a name="-keepalived--vrrp--sync_group--smtp_alert"></a>`smtp_alert`

Data type: `Any`

Send email on status change

Default value: `undef`

##### <a name="-keepalived--vrrp--sync_group--nopreempt"></a>`nopreempt`

Data type: `Any`



Default value: `undef`

##### <a name="-keepalived--vrrp--sync_group--global_tracking"></a>`global_tracking`

Data type: `Boolean`



Default value: `false`

##### <a name="-keepalived--vrrp--sync_group--track_interface"></a>`track_interface`

Data type: `Optional[Variant[String, Array[String]]]`

Define which interface(s) to monitor.
Go to FAULT state if one of
these interfaces goes down.
May be specified as either:
  a) interface name
  b) array of interfaces names

Default value: `undef`

### <a name="keepalived--vrrp--track_file"></a>`keepalived::vrrp::track_file`

the specified file at startup if the file doesn't
exist, unless overwrite is specified in which case
any existing file contents will be overwritten with
the specified value.

#### Parameters

The following parameters are available in the `keepalived::vrrp::track_file` defined type:

* [`file_name`](#-keepalived--vrrp--track_file--file_name)
* [`weight`](#-keepalived--vrrp--track_file--weight)
* [`init_file`](#-keepalived--vrrp--track_file--init_file)
* [`overwrite`](#-keepalived--vrrp--track_file--overwrite)

##### <a name="-keepalived--vrrp--track_file--file_name"></a>`file_name`

Data type: `String[1]`

name of track file

##### <a name="-keepalived--vrrp--track_file--weight"></a>`weight`

Data type: `Integer`

The weight that should add to the instance.

Default value: `1`

##### <a name="-keepalived--vrrp--track_file--init_file"></a>`init_file`

Data type: `Optional[String[1]]`

create the file and/or initialise the value

Default value: `undef`

##### <a name="-keepalived--vrrp--track_file--overwrite"></a>`overwrite`

Data type: `Boolean`

This causes VALUE (default 0) to be written to

Default value: `false`

### <a name="keepalived--vrrp--track_process"></a>`keepalived::vrrp::track_process`

Configure the process tracker

#### Parameters

The following parameters are available in the `keepalived::vrrp::track_process` defined type:

* [`proc_name`](#-keepalived--vrrp--track_process--proc_name)
* [`weight`](#-keepalived--vrrp--track_process--weight)
* [`quorum`](#-keepalived--vrrp--track_process--quorum)
* [`delay`](#-keepalived--vrrp--track_process--delay)
* [`fork_delay`](#-keepalived--vrrp--track_process--fork_delay)
* [`terminate_delay`](#-keepalived--vrrp--track_process--terminate_delay)
* [`full_command`](#-keepalived--vrrp--track_process--full_command)
* [`param_match`](#-keepalived--vrrp--track_process--param_match)

##### <a name="-keepalived--vrrp--track_process--proc_name"></a>`proc_name`

Data type: `String[1]`

process name to track

##### <a name="-keepalived--vrrp--track_process--weight"></a>`weight`

Data type: `Optional[Integer[0]]`

The weight that should add to the instance.

Default value: `undef`

##### <a name="-keepalived--vrrp--track_process--quorum"></a>`quorum`

Data type: `Integer[0]`

Number of processes to expect running

Default value: `1`

##### <a name="-keepalived--vrrp--track_process--delay"></a>`delay`

Data type: `Optional[Integer[0]]`

this sets fork_delay and terminate_delay (for keepalived => 2.0.16), before terminate_delay

Default value: `undef`

##### <a name="-keepalived--vrrp--track_process--fork_delay"></a>`fork_delay`

Data type: `Optional[Integer[0]]`

time to delay after process quorum gained after fork before consider process up

Default value: `undef`

##### <a name="-keepalived--vrrp--track_process--terminate_delay"></a>`terminate_delay`

Data type: `Optional[Integer[0]]`

time to delay after process quorum lost before consider process down

Default value: `undef`

##### <a name="-keepalived--vrrp--track_process--full_command"></a>`full_command`

Data type: `Boolean`

Match entire process cmdline

Default value: `false`

##### <a name="-keepalived--vrrp--track_process--param_match"></a>`param_match`

Data type: `Optional[Enum['initial','partial']]`

Set inital if command has no parameters or use partial if first n parameters match

Default value: `undef`

### <a name="keepalived--vrrp--vrrp_track_file"></a>`keepalived::vrrp::vrrp_track_file`

the specified file at startup if the file doesn't
exist, unless overwrite is specified in which case
any existing file contents will be overwritten with
the specified value.

#### Parameters

The following parameters are available in the `keepalived::vrrp::vrrp_track_file` defined type:

* [`file_name`](#-keepalived--vrrp--vrrp_track_file--file_name)
* [`weight`](#-keepalived--vrrp--vrrp_track_file--weight)
* [`init_file`](#-keepalived--vrrp--vrrp_track_file--init_file)
* [`overwrite`](#-keepalived--vrrp--vrrp_track_file--overwrite)

##### <a name="-keepalived--vrrp--vrrp_track_file--file_name"></a>`file_name`

Data type: `String[1]`

name of track file

##### <a name="-keepalived--vrrp--vrrp_track_file--weight"></a>`weight`

Data type: `Integer`

The weight that should add to the instance.

Default value: `1`

##### <a name="-keepalived--vrrp--vrrp_track_file--init_file"></a>`init_file`

Data type: `Optional[String[1]]`

create the file and/or initialise the value

Default value: `undef`

##### <a name="-keepalived--vrrp--vrrp_track_file--overwrite"></a>`overwrite`

Data type: `Boolean`

This causes VALUE (default 0) to be written to

Default value: `false`

## Data types

### <a name="Keepalived--Options"></a>`Keepalived::Options`

keepalived::options

Alias of `Hash[String[1], Any]`

### <a name="Keepalived--Vrrp--Instance--VRule"></a>`Keepalived::Vrrp::Instance::VRule`

Translates directly to rules to be added as per `ip-rule(8)`

Alias of

```puppet
Struct[{
    Optional[from]                  => String,
    Optional[to]                    => String,
    Optional[iif]                   => String,
    Optional[oof]                   => String,
    Optional[lookup]                => String,
    Optional[table]                 => String,
    Optional[tos]                   => String,
    Optional[dsfield]               => String,
    Optional[fwmark]                => String,
    Optional[uidrange]              => String,
    Optional[ipproto]               => String,
    Optional[sport]                 => String,
    Optional[dport]                 => String,
    Optional[priority]              => String,
    Optional[preference]            => String,
    Optional[order]                 => String,
    Optional[protocol]              => String,
    Optional[suppress_prefixlength] => String,
    Optional[suppress_ifgroup]      => String,
    Optional[realms]                => String,
    Optional[nat]                   => String,
}]
```

